#!/bin/bash

URL=${1:-'https://www.dialog-ueber-deutschland.de/DE/20-Vorschlaege/10-Wie-Leben/Einzelansicht/vorschlaege_einzelansicht_node.html?cms_idIdea=2070'}

while [ ! -z $URL ]; do 
	# fetch page
	html=$(wget --retry-connrefused -O - $URL)
	[ $? == 0 ] || exit
	# extract comments, author and number of votes and print to stdout
	comments=$(echo -e "$html" | sed -n -e '/<div class="comment-list"/,/<\/div>/ p' | html2text -width 120 | sed -e 's/^ \+\* \+/----------\n/' -e 's/^ \+//' -e '/\*\*\+/ d' -e 's/&quot;/"/g' )
	idIdea=$(echo $html | sed -n -e '/<link rel="canonical"/ s/.\+idIdea=\([^"]\+\).\+/\1/p')
	echo "IDIDEA=$idIdea"
	echo -e "$comments"
	# find the next page or exit loop
	URL=$(echo -e "$html" | sed -n -e '/class="next"/ s/amp;//; /class="next"/ s/.\+href="\(.\+\)" t.\+/https:\/\/www\.dialog-ueber-deutschland\.de\/\1/p')
done

[ -z "$comments" ] || echo "----------"
